Bug 565349 - [abrt] crash in gedit-1:2.28.3-1.fc12
[abrt] crash in gedit-1:2.28.3-1.fc12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:e12aaaa8
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-14 18:49 EST by Nick Mathew
Modified: 2010-12-03 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 17:48:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (549 bytes, text/plain)
2010-02-14 18:49 EST, Nick Mathew
no flags Details

  None (edit)
Description Nick Mathew 2010-02-14 18:49:22 EST
abrt 1.0.6 detected a crash.

architecture: x86_64
cmdline: gedit
component: gedit
executable: /usr/lib64/gedit-2/plugins
kernel: 2.6.31.12-174.2.3.fc12.x86_64
package: gedit-1:2.28.3-1.fc12
release: Fedora release 12 (Constantine)

backtrace
-----
Summary: TBe12aaaa8 align.py:176:deactivate:TypeError: Parameter 'merge_id' must be an int or a long

Traceback (most recent call last):
  File "/home/nick/.gnome2/gedit/plugins/align.py", line 176, in deactivate
    uim.remove_ui(self.ui_id)
TypeError: Parameter 'merge_id' must be an int or a long

Local variables in innermost frame:
window: <gedit.Window object at 0x2535960 (GeditWindow at 0x17ec2e0)>
uim: <gtk.UIManager object at 0x28bd320 (GtkUIManager at 0x28668a0)>
self: <AlignPlugin object at 0x252d190 (GeditPluginPython at 0x24ec640)>

How to reproduce
-----
1. Auto-align causes ABRT to pop up!
2.
3.
Comment 1 Nick Mathew 2010-02-14 18:49:24 EST
Created attachment 394238 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 18:06:52 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Nick Mathew 2010-11-03 21:49:33 EDT
I currently use gedit version 2.30.2-1.fc13

The crash was probably because of a set of additional plugins I installed from https://github.com/gmate/gmate

It seems to have been fixed by an update.

Thanks
Comment 4 Bug Zapper 2010-12-03 17:48:37 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.